Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
January 24th Updates

JAR List Options that have been added:
- AT - DNS Techpack (12.0.4.3) [No Optionals] has been added.
- FTB - Direwolf20-1.12.2 (1.7.1) has been added.
- FTB - Revelation (1.3.0) has been added.

JAR List Options that have been updated:
- AT - A Bit of Everything (1.3.9-02) has been updated to (1.3.9-03).
*As with the [Latest] options, delete the jar folder and restart if you had 1.3.9 or 1.3.9-02 installed and want to update!

JAR List Options that have been removed:
- Curse - Project Ozone Lite (1.3.5) has been removed.



--------------------

**NOTE 1**
There is some information worth checking regarding the Minecraft 1.13/1.14 updates HERE and HERE.
The two updates have been merged - the technical updates that the original 1.13 were bringing will be delayed and the Aquatic updates the original 1.14 was going to bring have been brought forward so they can be released sooner and alongside the technical updates in 1.13!


**NOTE 2**

This is also the first warning/reminder, as we gave when 1.12.2's release was approaching, that once full 1.13 versions are released their respective 1.8.8/9 versions will be removed from the jarlist!
These versions are heavily outdated now and the majority of issues we have seen people have using them is purely because they have not updated to newer versions (as any newer version has more bug/glitch/exploit fixes than older versions where needed, both in the server jars themselves and in the plugins that have updated).

All servers are recommended to update to 1.12.2 as almost all plugins (if not all) that needed to be updated did so a while ago now, and you will always lose some level of support you can get for resolving issues when you are using outdated versions.
Any 1.12.2 features that are causing you to stick to an old version (such as the 1.9+ PvP mechanics) can be disabled via a number of plugins. Sticking to an old version purely so you can use ViaVersion to allow a range of clients to connect is also not advised to do.

--The only exceptions, as last time, to being removed will be Forge/SpongeForge options for 1.8.9 - these options will remain on the jarlist for a while yet. The options that will be removed are Vanilla, CraftBukkit, Spigot and PaperSpigot 1.8.8/9.

--------------------



Remember to keep up to date with the options tagged with [Latest] on the jarlist if you use them - updates for these are found on the first link below, and the second link lets you know how to update if you use these options:
https://www.beastnode.com/forums/threads/jar-list-latest-updates.143/
https://www.beastnode.com/forums/threads/latest-jar-list-options-and-how-when-to-update-them.174/
 
  • Like
Reactions: DarioJames

Richard_BN

BeastNode Staff
Dec 18, 2015
562
128
108
The Realm of Obscurity.
January 26th Updates

JAR List Options that have been added:
- Curse - All the Mods (4.0) has been added.**

JAR List Options that have been updated:
- AT - A Bit of Everything (1.3.9-03) has been updated to (1.3.9-05).
*As with the [Latest] options, delete the jar folder and restart if you had 1.3.9 to 1.3.9-03 installed and want to update!

JAR List Options that have been removed:
- AT - DNS Techpack (12.0.4.1) [No Optionals] has been removed.
- FTB - Direwolf20-1.12.2 (1.5.0) has been removed.
- FTB - Revelation (1.2.0) has been removed.
- Technic - Crafting Dead: Aftermath (1.4.7b) has been removed.
- Technic - Crafting Dead: Origins (1.1.6-b1) has been removed.

As Aftermath was the same pack and they do not give multiple versions on the launcher any more, and Origins has moved away from public servers to private servers (hence no updates from 1.1.6 even though the latest update is 1.2.2, as they haven't released the mods updates outside of the client installations) and has been working on a standalone game away from Minecraft (available on Steam) support for Crafting Dead is being removed. It can still be installed manually as with any mod/modpack however.


**NOTE:
If you use All the Mods on your server already and want to update to 4.0 please be aware it is recommended to generate a new world for this update, as the changes to the mods include new mods that change world generation/ore spawns etc.... (such as Thaumcraft)!
 
Last edited:
  • Like
Reactions: DarioJames